rxqueue(1)

Name
rxqueue - The Regina Rexx Interpreter external queue utility

Syntax
rxqueue [ queue ] [ /fifo | /lifo | /clear | /pull | /queued ] [ text ]

Description
rxqueue is utility that provides access to the Regian Rexx external queue daemon (rxstack) via stdin and stdout

Options

queue
    The name of the queue to use. By default this is SESSION.

/fifo
    Stacks the text onto the queue in first in, first out order.

/lifo
    Stacks the text onto the queue in last in, first out order.

/clear
    Removes all lines currently stacked in the queue.

/pull
    Extracts the next line from the queue to stdout and removes it from the queue.

/queued
    Returns the number of lines stacked on the queue to stdout

Environment
rxqueue uses the following environment variables if set.

RXDEBUG
    Enables debugging. Same as specifying -D option.

RXSTACK
    The port number on which rxqueue listens. By default this is 5757.

RXQUEUE
    The name of the queue to be used if not specified by the client using rxqueue. By default this is SESSION.

Copyright
The Regina Rexx interpreter is distributed under the GNU Library General Public License, see the file `COPYING-LIB' in the source code distribution.

Author
Anders Christensen, University of Trondheim, Norway <anders@pvv.unit.no>.

Maintainer
Changes to Regina since 0.07a, Mark Hessling <mark (at) rexx.org> with significant assistance from Florian Grosse-Coosmann.

See Also
rxstack(1)

There are several good reference books on Rexx. The most famous is "The Rexx Language" by Mike Cowlishaw. Visit http://www.rexxla.org (The Rexx Language Association) for any Rexx related information.